Package ghidra.program.model.lang

# Class InjectPayloadCallotherError

java.lang.Object
ghidra.program.model.lang.InjectPayloadSleigh
ghidra.program.model.lang.InjectPayloadCallother
ghidra.program.model.lang.InjectPayloadCallotherError

All Implemented Interfaces:
  `InjectPayload`

public class InjectPayloadCallotherError extends InjectPayloadCallother
A substitute for a callother fixup that did not fully parse

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.program.model.lang.InjectPayload

  `InjectPayload.InjectParameter`

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.lang.InjectPayloadSleigh

  `name, source, type`

  ### Fields inherited from interface ghidra.program.model.lang.InjectPayload

  `CALLFIXUP_TYPE, CALLMECHANISM_TYPE, CALLOTHERFIXUP_TYPE, EXECUTABLEPCODE_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InjectPayloadCallotherError(AddressFactory addrFactory, InjectPayloadCallother failedPayload)`
  Constructor for use if the p-code template did not parse
  `InjectPayloadCallotherError(AddressFactory addrFactory, String nm)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isErrorPlaceholder()`
  If parsing a payload (from XML) fails, a placeholder payload may be substituted and this method returns true for the substitute.

  ### Methods inherited from class ghidra.program.model.lang.InjectPayloadCallother

  `encode, restoreXml`

  ### Methods inherited from class ghidra.program.model.lang.InjectPayloadSleigh

  `getDummyPcode, getInput, getName, getOutput, getParamShift, getPcode, getSource, getType, inject, isEquivalent, isFallThru, isIncidentalCopy, orderParameters, setInputParameters, setOutputParameters, setTemplate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InjectPayloadCallotherError

    public InjectPayloadCallotherError(AddressFactory addrFactory, InjectPayloadCallother failedPayload)
    Constructor for use if the p-code template did not parse
    Parameters:
      `addrFactory` - is the address factory to use constructing dummy p-code
      `failedPayload` - is the object with the failed template

  - ### InjectPayloadCallotherError

    public InjectPayloadCallotherError(AddressFactory addrFactory, String nm)

- ## Method Details

  - ### isErrorPlaceholder

    public boolean isErrorPlaceholder()
    Description copied from interface: `InjectPayload`
    If parsing a payload (from XML) fails, a placeholder payload may be substituted and this method returns true for the substitute. In all other cases, this returns false.
    Specified by:
      `isErrorPlaceholder` in interface `InjectPayload`
    Overrides:
      `isErrorPlaceholder` in class `InjectPayloadSleigh`
    Returns:
      true if this is a placeholder for a payload with parse errors.